C'est quoi la différence entre:

Le
G-raison
Bonjour,

C'est quoi la différence entre "cups" et "hplip"?
Moi je pensais que c'était la même chose.

En tout cas, comme j'avais ça : hplip-0.9.8.tar.gz , je me suis dit "tiens
j'ai un peu de temps je vais mettre ça."

Donc j'ai suivit ces instructions:
tar xzvf hplip-0.8.x.tar.gz
cd hplip-0.8.x
./configure --prefix=/usr
make
make install
/etc/init.d/hplip restar

mais arrivé à "make" ça me dit ça:
configure: error: cannot find cups-devel support
make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.

Donc je ne suis pas plus avancé.

Fallait-il déjà retirer tout ce qui concerne hplip ou hpoj?

--
@+
gr
  • Partager ce contenu :
Vos réponses Page 1 / 2
Trier par : date / pertinence
ericb
Le #1726628
Bonsoir,

Bonjour,
C'est quoi la différence entre "cups" et "hplip"?
Moi je pensais que c'était la même chose.
En tout cas, comme j'avais ça : hplip-0.9.8.tar.gz , je me suis dit "tiens
j'ai un peu de temps je vais mettre ça."

Donc j'ai suivit ces instructions:
tar xzvf hplip-0.8.x.tar.gz
cd hplip-0.8.x



IMHO, Installer une application non système dans /usr n'est pas une très
bonne idée, à moins de savoir ce que l'on fait.

./configure --prefix=/usr


Je conseillerai plutôt de laisser la valeur mise usuellement par défaut
: /usr/local

(sauf si /usr/local sert déjà à autre chose )


make
make install
/etc/init.d/hplip restar

... mais arrivé à "make" ça me dit ça:
configure: error: cannot find cups-devel support


Peut-être faut-il les fichiers d'en-tête de cups, c'est à dire, très
probablement installer cups *avant* ?

make: *** Pas de cibles spécifiées et aucun makefile n'a été trouvé. Arrêt.

Donc je ne suis pas plus avancé.

Fallait-il déjà retirer tout ce qui concerne hplip ou hpoj?


Je ne connais pas hplip, mais normalement, il y a un README dans les
archives à installer soi même.


--
juste mon humble avis

Sébastien Kirche
Le #1726627
Le 16 March 2006 à 22:12, G-raison s'est exprimé ainsi :

C'est quoi la différence entre "cups" et "hplip"?
Moi je pensais que c'était la même chose.


Ben non. Une petite recherche permet de s'en rendre compte :

CUPS = Common Unix Printing System, c'est une interface commune
d'impression pour les systèmes Unix qui permet à une machine de se
comporter en serveur d'impression compatible avec les systèmes
d'impression Unix comme IPP ou lpd, Windows en smb ou même HP jet
direct.

HPLIP = HP Linux Printing and Imaging System, Debian indique qu'il
apporte le support pour l'impression sur la plupart des imprimantes HP
mono-fonction jet d'encre et beaucoup d'imprimantes laser ainsi que le
support des scanners et lecteurs de cartes de la plupart des imprimantes
HP multi-fonction.

HPLIP s'appuie sur CUPS c'est pourquoi il a besoin que les headers et
libs de cups soient installés pour pouvoir être compilé.
--
Sébastien Kirche

G-raison
Le #1730131
Sébastien Kirche wrote:

HPLIP s'appuie sur CUPS c'est pourquoi il a besoin que les headers et
libs de cups soient installés pour pouvoir être compilé.


Ah merci pour ces explications.
Ben je croyais que les libs de cups étaient installés.
Bon je regarde s'il n'y en a pas qui reste à mettre.

Merci.
--
@+
gr

G-raison
Le #1730130
ericb wrote:

IMHO, Installer une application non système dans /usr n'est pas une très
bonne idée, à moins de savoir ce que l'on fait.


./configure --prefix=/usr


Je conseillerai plutôt de laisser la valeur mise usuellement par défaut
: /usr/local

(sauf si /usr/local sert déjà à autre chose )


Ben j'ai suivi les explications qu'on me donnait pour l'installation.

configure: error: cannot find cups-devel support


Peut-être faut-il les fichiers d'en-tête de cups, c'est à dire, très
probablement installer cups *avant* ?


Oui et comme je disais, je croyais que c'était fait.
Bon j'y regarde alors.


Je ne connais pas hplip, mais normalement, il y a un README dans les
archives à installer soi même.


J'ai tiré les explications du fichier readme justement.

De toutes façons ce n'est pas grave si je fais des erreurs car vers le mois
de juillet je vais faire tout enlever et tout remettre en version plus
récente.
Mais j'aimerai essayer d'y arrivé avant.

--
@+
gr


G-raison
Le #1730129
Sébastien Kirche wrote:

HPLIP s'appuie sur CUPS c'est pourquoi il a besoin que les headers et
libs de cups soient installés pour pouvoir être compilé.


Tous les paquetages sont déjà installés, que c'est marqué. :-)

--
@+
gr

G-raison
Le #1730128
Peut-être faut-il les fichiers d'en-tête de cups, c'est à dire, très
probablement installer cups *avant* ?



Comme je disais: tous les paquetages sont installés.
Si je ne m'en sort pas avec mon HP PSC 1510 j'irais le faire faire.
Ce sera mieux.

Là elle marche mais avec le mauvais nom d'imprimante (1600 au lieu de
1510...)
Et quand j'imprime via Ooo 2.0 et que je compare avec une feuille imprimé
avec le même logiciel sous Windows, les lignes sont plus espacées.
Et je n'arrive pas à faire marcher le scanner, surement que je m'y prends
mal, malgrès que j'ai fichu Xsane.

Une fois tout ça fait, je n'aurais plus qu'a faire tourner mes programmes.

--
@+
gr


Laurent Besson
Le #1730127
G-raison wrote:

Peut-être faut-il les fichiers d'en-tête de cups, c'est à dire, très
probablement installer cups *avant* ?





Il faut installer, non pas les libs de cups mais les headers (cups-devel) !!



G-raison
Le #1730126
Sébastien Kirche wrote:

Je viens de taper urpmi hplip et je viens de lire tous les paquetages sont
déjà installé! :-))
Là ça m'en Bush un coin.

Donc ça veut dire que je ne sais tout simplement pas sélectionner mon
imprimante 3 en 1 HP SPC 1510 et le scanner via l'interface graphique.
C'est ça en fait le problème.

Donc faut que je recherche dans ce sens.
Une fois que j'aurais fait ça, je saurais le faire plusieurs fois...
--
@+
gr
Denis Beauregard
Le #1730125
Le Fri, 17 Mar 2006 00:17:42 +0100, G-raison écrivait dans fr.comp.os.linux.configuration:

Sébastien Kirche wrote:

HPLIP s'appuie sur CUPS c'est pourquoi il a besoin que les headers et
libs de cups soient installés pour pouvoir être compilé.


Tous les paquetages sont déjà installés, que c'est marqué. :-)


Moi je ferais un ps aux | grep pkg où pkg est le paquetage
recherché.

Dans mon cas, je voulais avoir mySQL et je pensais que cela venait
avec PHP4. En fait, avec le ps aux, je ne voyais que postgresql
et pas mysql. La solution était donc qu'il fallait quand même
installer mysql (et savoir quoi installer, ce qui n'est pas toujours
évident, soit mysql-server mysql-client dans mon cas, le 2e étant
utile quoique non essentiel). Mon problème était de savoir ce qu'il
fallait installer...


Denis


yvnico
Le #1730116
Bonjour,

C'est quoi la différence entre "cups" et "hplip"?
Moi je pensais que c'était la même chose.
Cups c'est le système d'impression

hplip je suppose que c'est un driver hp


En tout cas, comme j'avais ça : hplip-0.9.8.tar.gz , je me suis dit "tiens
j'ai un peu de temps je vais mettre ça."
Pourquoi tu n'utilise pas ton gestionnaire de paquetage ?

La compilation c'est vraiment le dernier recours lorsqu'on a trouvé
aucun rpm. Ca m'étonnerai que ces paquets là ne soient pas déjà
inclus dans ta distribution. Au pire il faud rajouter quelques sources.

Si tu utilise mandriva, il suffit d'aller dans drakconf -> matériel
-> imprimante pour configurer l'impression et cups s'installera
automatiquement.



--
http://gnuprog.info/

Poster une réponse
Anonyme